"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.processTableOfContents = void 0;
const crypto_1 = require("crypto");
const processTableOfContents = async (block, tableOfContents) => {
    if (["heading_1", "heading_2", "heading_3"].includes(block.type) &&
        block[block.type]?.rich_text?.length > 0) {
        const plainText = block[block.type]?.rich_text?.[0]?.plain_text || "";
        const hash = `link-${plainText
            .replace(/[^a-zA-Z0-9가-힣\s-_]/g, "")
            .trim()
            .replace(/\s+/g, "-")
            .toLowerCase()}-${(0, crypto_1.randomUUID)().substring(0, 4)}`;
        block.hash = hash;
        tableOfContents.push({
            type: block.type,
            hash,
            title: plainText,
        });
    }
};
exports.processTableOfContents = processTableOfContents;
